Subject: Re: [PATCH] t7063: fix breakage with split index

From: Junio C Hamano <[email-masked]>
Date: Sat, 06 Jun 2015 23:20:35 -0700

Thomas Gummerer <[email-masked]> writes:

> When running the test suite with GIT_TEST_SPLIT_INDEX set, tests 17-18
> in t7063 fail.  Unset GIT_TEST_SPLIT_INDEX at the beginning of the test,
> in order to fix it.

That is not fixing but sweeping the problem under the rug, is it?

Duy, untracked-cache is a fairly new toy and I wouldn't be surprised
if it has un-thought-out interaction with split-index which is also
a fairly new exotic toy.  As both are from you, can you take a look
at it?

We may want to make it easier to run tests with TEST-SPLIT-INDEX, if
we envision that the feature will bring us sufficient benefit and we
would eventually want to encourage its use to more people.  As it
stands now, only people who are curious enough opt into trying it
out by exporting the environment, which would be done by a tiny
minority of developers and users.

Thanks.

>
> Signed-off-by: Thomas Gummerer <[email-masked]>
> ---
>
> Hi,
>
> This breakage is both in the current master and next.  I'm not entirely
> sure this is the best way to solve the issue, but unfortunately I don't
> have any more time to look into this.
>
>  t/t7063-status-untracked-cache.sh | 2 ++
>  1 file changed, 2 insertions(+)
>
> diff --git a/t/t7063-status-untracked-cache.sh b/t/t7063-status-untracked-cache.sh
> index bd4806c..2f958c7 100755
> --- a/t/t7063-status-untracked-cache.sh
> +++ b/t/t7063-status-untracked-cache.sh
> @@ -8,6 +8,8 @@ avoid_racy() {
>  	sleep 1
>  }
>  
> +unset GIT_TEST_SPLIT_INDEX
> +
>  # It's fine if git update-index returns an error code other than one,
>  # it'll be caught in the first test.
>  test_lazy_prereq UNTRACKED_CACHE '